/*
 * "Peko" Visual Novel System
 *
 * All Rights Reserved.
 * Copyright (c) 1999-2003 Tsukuba Bunko.
 *
 * $Id: StageElementHandler.java,v 1.1.2.1 2003/12/11 10:15:10 ppoi Exp $
 */
package tsukuba_bunko.peko.scenario.stage;

import	tsukuba_bunko.peko.scenario.ElementHandler;


/**
 * <samp>stage</samp> 要素の構成要素を処理する <code>ElementHandler</code> に共通の処理を提供します。
 * @author	$Author: ppoi $
 * @version	$Revision: 1.1.2.1 $
 */
public abstract class StageElementHandler	extends ElementHandler	{

	/**
	 * <code>StageElementHandler</code> のインスタンスを作成するためにサブクラスのコンストラクタから呼ばれます。
	 */
	protected StageElementHandler()
	{
		super();
	}


	/**
	 * StageCoordinator を取得します。
	 * @return	StageCoordinator
	 */
	public StageCoordinator getStageCoordinator()
	{
		return getSceneContext().getSceneProcessor().getStageCoordinator();
	}


//
//	ContentHandler の実装
//
	public void startDocument()
	{
		getStageCoordinator().begin();
	}

	public void endDocument()
	{
		getStageCoordinator().commit();
	}
}
